      subroutine escriu(av,nf,nc)
      implicit real*8 (a-h,o-z)
      include 'dens.prm'
      dimension av(norbz,norbz)
      character*4 line(31)
      do 888 i=1,31
888   line(i)='----'
      ka=1
      kc=6
10000 if (kc.ge.nc)then
	kb=nc
	else
	kb=kc
      endif
      write(6,500) (i,i=ka,kb)
      na=3*(kb-ka+1)+1
      write(6,600) (line(k),k=1,na)
      do 300 i=1,nf
      write(6,800) i,(av(i,j),j=ka,kb)
300    continue
      if(kb.eq.nc) return
      ka=kc+1
      kc=kc+6
      go to 10000
500    format(/,2x,6(5x,i5))
600    format(1x,31a4)
800    format(1x,i3,2x,6f10.6)
      end
